#!/usr/bin/perl
# $Id: fpx-vsite-validate.pl,v 1.2 2001/10/24 18:12:56 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# Virtual site FPX5 support validator
# Will DeHaan <null@sun.com>

# Perl libraries, all Sausalito
use lib qw(/usr/sausalito/perl);
use CCE;

# Debug, Will-style
my $DEBUG = 0;
$DEBUG && open(STDERR, ">>/tmp/validate-vsite.$namespace");
$DEBUG && warn $0.' '.`date`;
$DEBUG && eval('use strict;');

my $cce = new CCE;
$cce->connectfd();

my($ok, $fpsite) = $cce->get($cce->event_oid(), $namespace);
$DEBUG && warn "Lookup object namespace: $ok\n";

# Careful order of operations on site creation
if($cce->event_is_create() && $fpsite->{enabled} && 
   !$fpsite->{passwordWebmaster}) 
{
	$DEBUG && warn "FP enabled on site creation, no password\n";
	$cce->bye('FAIL', '[[base-frontpage.missingWebmasterPassword]]');
}
elsif ($fpsite->{enabled} && !$fpsite->{passwordWebmaster})
{
	$DEBUG && warn "FP enabled on site creation, no password\n";
	$cce->bye('FAIL', '[[base-frontpage.missingWebmasterPassword]]');
}
else
{
	$cce->bye('SUCCESS');
	exit 0;
}

exit 1;

