#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: restart_httpd.pl,v 1.1.2.1 2002/04/05 04:28:40 pbaltz Exp $
# Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
#
# restart httpd appropriately based on the ojbect being modified
# For System object and User and Vsite creation, do a hard restart.
# For anything else, just do a reload (-USR1).
#

use CCE;
use Sauce::Service;

my $cce = new CCE;
$cce->connectfd();

my $object = $cce->event_object();

if (($object->{CLASS} eq 'System') ||
    ((($object->{CLASS} eq 'User') || ($object->{CLASS} eq 'Vsite')) &&
     $cce->event_is_create())) {
	# need to do a hard restart.
	service_run_init('httpd', 'restart');
} else {
	# we can just do a reload for anything else
	service_run_init('httpd', 'reload');
}

$cce->bye('SUCCESS');
exit(0);
